// Javascript for  presentations,
// specifically for pop-up images
//
// updated 11/21/2017
//
// when popping up windows, set a default height and width
//
// separate sizes for images, general information, and popup menus
//

var image_window_height=768;
var image_window_width=1024;

var menu_window_height=500;
var menu_window_width=300;

var info_window_height=300;
var info_window_width=800;



         
         function pop_up_image(image_name,caps,page_title)
         {
// alert(image_name);
// alert(caps);
// alert(page_title);
             // page_title is used in the HTML header as page title
             // 
             // caps is array of captions. if null,
             //   no printed title for caption
             //  otherwise, print all captions in array
             //
             var generator=window.open('','image','height=' + 
                                       image_window_height + ',width=' +
                                       image_window_width + ',resizable=yes,scrollbars=yes,toolbar=yes');
             //
             // caps is an array of captions (or null)
             //
             if (page_title == '--')
             {
                 generator.document.write('<html><head><title>Untitled Image</title>');
             }
             else
             {
                 generator.document.write('<html><head><title>' + page_title + '</title>');
             }
             // generator.document.write('<link rel="stylesheet" href="reset.css">');
             // generator.document.write('<link rel="stylesheet" href="text.css">');
             // generator.document.write('<link rel="stylesheet" href="960.css">');
             // generator.document.write('<link rel="stylesheet" href="wwi.css">');
             // full-width page
             generator.document.write('</head><body><div>');
             if (caps == null)
             {
                 generator.document.write('<h1>Untitled Image</h1>');
                 // no more captions at all
             }
             else
             {
                 // one or more caption lines
                 //
                 generator.document.write('<h1>');
                 len = caps.length;
                 for (i = 0 ; i < len ; i++)
                 {
                     //generator.document.write('<h1>' + i + '</h1>' );
//                     generator.document.write(i + '  ' );
                     generator.document.write('<br/>' + caps[i] );
                 }
                 generator.document.write('<br/></h1>');
             } // some captions, make them into heads
             
             generator.document.write('<img src="pics/' + image_name + '"/>');
             generator.document.write('<p><br/><br/><a href="javascript:self.close()">Close</a> the popup.</p>');
           // clear and done
             generator.document.write('</div>');  // end all divs
             
             generator.document.write('</body></html>');
             generator.document.close();
         } // pop up image
        

         //
         // pop up window and let it control the parent's url
         // used for indexes that stay up and alter the main windows
         //
         function pop_up_controlling_window(url)
         {
             //
             var childW=window.open('','child control','height=' + 
                                       menu_window_height + ',width=' +
                                       menu_window_width + ',resizable=yes,scrollbars=yes,toolbar=yes');
             
             //
             childW.document.location = url;  // load the desired html content
             if (childW.opener == null)
                 childW.opener == self;
             childW.document.close();
         }
         //
         // change url that the parent is displaying
         // used by the popup window that contains an index
         //
         function change_parent(url)
         {
             //
             self.opener.location.assign(url);  // make parent load something else
         }

